<?php

namespace EventPortal\AuthPassword\Rules;

use Illuminate\Contracts\Validation\Rule;

interface NovoRule extends Rule
{
    /**
     * The label used by the front end
     *
     * @return void
     */
    public function frontEndLabel(): string;

    /**
     * The validation used by the front end
     *
     * @see js-framework/src/core/hooks/useInputValidator.ts
     * @return void
     */
    public function frontEndValidation(): array;
}
